/*
 This program is free software: you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
 the Free Software Foundation, either version 3 of the License, or
 (at your option) any later version.

 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

 You should have received a copy of the GNU General Public License
 along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

import * as $ from 'jquery';
import {Globals} from './domain/globals';

export function autodetectThemes(): void {
    $('link[rel=stylesheet]').each((index, item): void => {
        const styleSheet = $(item);
        const styleClass: string = styleSheet.attr('data-class');
        if (styleClass !== undefined) {
            let name: string = styleSheet.attr('data-name');
            if (name === undefined) {
                name = styleClass;
            }
            Globals.registerTheme(name, styleClass);
        }
    });

    // fall-back if no theme was included
    if (!Globals.hasThemes()) {
        Globals.registerTheme('', '');
    }
}
