/*
 This program is free software: you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
 the Free Software Foundation, either version 3 of the License, or
 (at your option) any later version.

 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

 You should have received a copy of the GNU General Public License
 along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

import {Options} from './options';
import {Uhr} from '../uhr';

export interface WidgetPrototype {
    options: Options;
    start: () => void;
    stop: () => void;
    toggle: () => void;
    language: (key: string) => void;
    theme: (id: string) => void;
    time: (time: Date) => void;
    mode: (mode: string) => void;
    width: (width: string) => void;
    _create: () => void;
    _destroy: () => void;
    _fritteliUhrInstance: Uhr;
}
